Update a data frame
Update a data frame.
After uploading a .csv data drame file to S3, call this endpoint to mark the upload status as IN_PROGRESS
to launch a long-running task to validate and transform the raw .csv file into a
data frame. Once complete, the data frame’s status will either be updated to SUCCEEDED or FAILED_VALIDATION.
For more details on how we process and validate data frames, click here.
See Create a data frame for documentation of the full upload flow.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
data_frame_id
The ID of the data frame
Request
This endpoint expects an object.
uploadStatus
Allowed values:
Response
This endpoint launches a long-running task and returns the Task ID of the launched task. When successful, the task returns the DataFrame resource for the related data frame.
taskId
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error